<!--
.. title: 10 años
.. slug: 10-anos
.. date: 2018-11-23 12:00:00 UTC-06:00
.. tags: foros, openoffice, libreoffice, python
.. category: software-libre
.. link:
.. description:
.. type: text
-->

Un viernes 21 de noviembre del 2018, me registre en los [Foros Oficiales de soporte para Apache OpenOffice][1]. La función de este es ofrecer soporte técnico a los usuarios de esta suite ofimática, donde también damos soporte a las suites derivadas de esta, la principal por supuesto [LibreOffice][2] y algunas otras. Si, Apache OpenOffice sigue vivo y con una base de usuarios bastante amplia, mientras tengamos un usuario con esta versión y que podamos ayudar, ahí estaremos. Si quieres saber un poco más a detalle lo que paso con OpenOffice y con nuestros foros, mi gran amigo Ricardo [te lo contara mejor en su blog][3].
<!-- TEASER_END -->
Aún recuerdo mi primera distribución Linux que instale, una distribución mexicana llamada Linux PPP que me llego por correo en un lindo empaque (lástima que no tenga la costumbre de guardar cosas) todavía puedes ver algo de información de esta distribución y su autor en la [página de mi amigo Joel Barrios][4].

Fue en esta distribución donde probé por primera ves algo que se llamada [StarOffice][5] y su hoja de calculo llamada Calc, las hojas de calculo siempre me han gustado y en ese entonces ya dominada algunas de las más conocidas de entonces. Y de estas, dado que soy algo perezoso, lo que más me gusto siempre, fue automatizar las  tareas con algo que llamaban “macros”. Dado que ya sabía programar y ya era experto en el desarrollo de macros de Excel, no me fue complicado adentrarme en el mundo de las macros de Calc. Eso si, la mayor parte de la documentación para programar estaba (y esta) en ingles, aún con mi pedestre ingles y con mucha paciencia, pude dominar esta herramienta, tan bien que escribí un libro de llamada Aprendiendo OpenOffice.org Basic de más de 600 página donde compartí todo lo aprendido y [puedes descargar desde aquí][6]. Este libro sirvió de base para la documentación del [Wiki Oficial de OpenOffice en español][7]. Lo mejor que me dejo Basic, fue llegar a su limite y darme a conocer un mejor lenguaje; [Python][8], con el cual empece a trabajar y ahora es mi lenguaje de cabecesar. Por supuesto, también logramos tener algo de documentación para macros con este lenguaje, [por aquí][9].

Volviendo a los foros, en los mismos tenemos una serie de roles para los usuarios dependiendo de su compromiso y actividad. Cualquier que se registe, lea (algo que pocos hacen) y acepte los términos de uso tiene de forma predeterminado el rol de **usuario**, con el que puede preguntar y responder con total libertad, claro, siempre y cuando tenga que ver con las aplicaciones en cuestión, pues no es raro, que lleguen a preguntar por aplicaciones de otras suites, por más que insistimos que no damos soporte a estas.

Si un usuario se distingue por su participación en responder temas, y a juicio e invitación de otros miembros del equipo, puede pasar a tener el rol de **voluntario**, todos los voluntarios se “visten” de naranja (el color distintivo de su nombre de usuario) y tienen una serie de derechos y responsabilidades un poco ampliadas de los usuarios normales. A su vez y siempre por invitación de otros miembros, los **voluntarios** pueden pasar a vestirse de verdes, y ser **moderadores** del sitio, con otra serie extendida de derechos y responsabilidades. Por último, tenemos a los señores de “rojo”, los miembros con más derechos y responsabilidades dentro de nuestros foros, es decir, los **administradores**. Mi amigo Ricardo (del cual no puedes perderte su [blog][10]), fue, durante muchos años, uno de nuestros más profesionales administradores, de quien todos aprendimos la generosidad de ayudar siempre con paciencia y amabilidad, de hecho, sigue siendo “administrador emérito”. Cuando se retiro, tuvo la osadía de nombrarme el nuevo administrador del foro, cargo que tengo a la fecha, aunque siento que ya debo ir buscando mi relevo.

“Esto no es una democracia, si no una meritocracia”, no olvido nunca esta lección de Ricardo y que veo una y otra vez en casi cada proyecto de software libre, también recuerdo esta otra: “es jefe el que hace, y solo lo es, mientras lo hace”, bien haría, más de uno de nuestros ilustres políticos tomar estas máximas en su trabajo diario.

En estos diez años, ha sido un aprender y compartir, la mejor manera de aprender es enseñando. Cada pregunta de cada usuario nos proponía una nueva forma de ver un tema y adentrarse en intentar responderla de la forma más precisa posible. Por otra parte, será que me estoy haciendo viejo, pero me incomodan los usuarios que llegan (a veces sin un por favor) a que se les resuelva o la tarea en turno o el problema de su empresa. En mi pueblo dicen que “lo cortes no quita lo valiente”.

Los foros existen en diferentes idiomas y cada uno tiene su equipo de voluntarios que lo administran, del mismo modo, cada foro tiene sus políticas de uso ligeramente diferentes. No puedo dejar de mencionar que las del foro en ingles, son un poco “laxas” por decirlo menos, permiten de forma abierta comportamientos algo “hostiles”, de nuevo, por decirlo suavemente, comportamiento hostil que experimente en persona al querer ayudar con mi primitivo ingles, [juzguen Ustedes mismos][11]. En cambio, en nuestros foros tenemos cero tolerancia a dos cosas; al comportamiento ofensivo y al spam. Esto nos ha permitido tener un foro cordial y amable, con algunas, muy pocas excepciones, de hecho solo recuerdo a un usuario suspendido un mes por comportamiento que violaba nuestros términos de uso, y de eso, ya hace algunos años.

Lo que más disfruto de los foros (aparte de responder preguntas, especialmente de macros) y como sucede en la mayorías de las comunidades de software libre, es el conocer a las valiosas personas que he encontrado en el camino, con algunos he perdido el contacto pero con otros se mantiene más cercana que nunca. No se si los foros duren otros diez años, lo que si se, es que si no nos hemos terminado el planeta antes, nos estaremos encontrando en algún otro lugar del “fediverso”.

En fin, que diez años es mucho para contar en unos cuantos párrafos, pero espero sea el detonante para otros artículos en este blog que nace, por que como dice mi amigo Victor (no puedes perderte su [blog][12]): “los blogs de Linux están muertos”.


[1]: https://forum.openoffice.org/es/forum/
[2]: https://www.libreoffice.org/
[3]: https://elpinguinotolkiano.wordpress.com/2018/09/06/writer-y-yo/
[4]: http://www.alcancelibre.org/staticpages/index.php/entrevista-pepeneif
[5]: https://es.wikipedia.org/wiki/StarOffice
[6]: https://doc.elmau.net/f/3e49bf4f722244bc8ac2/?dl=1
[7]: https://wiki.openoffice.org/wiki/ES/Manuales/GuiaAOO/TemasAvanzados/Macros/StarBasic
[8]: https://www.python.org/
[9]: https://wiki.openoffice.org/wiki/ES/Manuales/GuiaAOO/TemasAvanzados/Macros/Python
[10]: https://elpinguinotolkiano.wordpress.com/
[11]: https://forum.openoffice.org/en/forum/viewtopic.php?f=9&t=81736&p=377830#p377820
[12]: https://victorhckinthefreeworld.com/
